Bug 132510 - request: exp-run for changes to linux ports infrastructure
request: exp-run for changes to linux ports infrastructure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Boris Samorodov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 16:50 UTC by Boris Samorodov
Modified: 2009-03-19 17:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-03-10 16:50:01 UTC
	Current ports use only Linux Fedora Core 4 distribution. New linux emulation
	kernel layer supports newer releases. The proposed patch introduces a new linux
	infrastructure which allows using both current and future linux distributions
	at one ports tree.

	The patch contains full changes to ports/Mk files and all ports involved.
	But only infrastructure is changed. The resulting packages are the same as
	before. Hence no need to bump PORTREVISIONs.

	The idea was taken from bsd.gnome.mk and others.

	More than 130 ports are switched to follow a new linux infrastructure
	introduced by changes to bsd.port.mk, bsd.linux-rpm.mk and a new
	bsd.linux-apps.mk.

Fix: Please, do an exp-run and assign this PR back to me. Thanks!



WBR
-- 
bsam--kWb2Z4HSzGARNY8gyi2tJFexbNakE5wGa5ETp4FoyAR7AmiJ
Content-Type: text/plain; name="pr.ports.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="pr.ports.diff"

Index: Mk/bsd.linux-apps.mk
===================================================================
RCS file: Mk/bsd.linux-apps.mk
diff -N Mk/bsd.linux-apps.mk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Mk/bsd.linux-apps.mk	10 Mar 2009 16:21:47 -0000
@@ -0,0 +1,350 @@
+#-*- mode: Makefile; tab-width: 4; -*-
+# ex:ts=4
+#
+# $FreeBSD$
+#
+# Please view me with 4 column tabs!
+
+# This section defines possible names of linux infrastructure ports
+# (components) and all information necessary for ports to use those components.
+# 
+# Ports can use this as follows:
+#
+# USE_LINUX_APPS=    esound xorglibs
+#
+# .include <bsd.port.mk>
+#
+# As a result proper RUN_DEPENDS will be added.
+#
+# Variables:
+# LINUX_DIST_SUFFIX	- Contains the value which is added to a port's name
+#					  (i.e. linux<this_variable>-port ) to get the right
+#					  linux infrastructure port.
+# _ALL_LINUX_APPS	- A (sorted) list of all linux infrastructure ports
+#					  (components), covered here.
+
+.if !defined(_POSTMKINCLUDED) && !defined(Linux_APPS_Pre_Include)
+
+Linux_APPS_Include_MAINTAINER=	emulation@FreeBSD.org
+Linux_APPS_Pre_Include=			bsd.linux-apps.mk
+
+.endif
+
+.if defined(_POSTMKINCLUDED) && !defined(Linux_APPS_Post_Include)
+
+Linux_APPS_Post_Include=	bsd.linux-apps.mk
+
+.  if (${LINUX_OSRELEASE} == "2.6.16") && (${USE_LINUX} == "f8")
+LINUX_DIST_SUFFIX=	-f8
+WEB_AUTH=			kompozer
+.  else
+LINUX_DIST_SUFFIX=
+WEB_AUTH=			nvu
+.  endif
+
+# Non-version specific components
+_LINUX_APPS_ALL=	allegro alsalib arts aspell atk cairo curl esound expat fontconfig \
+					freealut gdkpixbuf gtk gtk2 hicontheme imlib jpeg libaudiofile \
+					libg2c libglade libglade2 libglu libmng libogg libsigcpp20 libtheora \
+					libvorbis libxml libxml2 mikmod openal openssl pango png png10 qt33 \
+					scimgtk scimlibs sdl12 sdlimage sdlmixer tiff xorglibs ucl ungif upx webauth
+
+# 2.4.2 components
+_LINUX_APPS_ALL+=
+
+# 2.6.16 components
+_LINUX_APPS_ALL+=
+
+# Component definition section
+#
+# component${LINUX_DIST_SUFFIX:S/-//}_FILE
+#					- Variables are used to name a file to check,
+#					  file names may differ for different LINUX_DIST_SUFFIX.
+#					  The value is LINUX_DIST_SUFFIX without the leading dash.
+# component_DETECT	- The resulting file to check for a dependency existence.
+# component_PORT	- A port which will be used to install a missing dependency.
+# component_DEPENDS	- A list of components the current component depends on.
+
+allegro_FILE=		${LINUXBASE}/usr/lib/liballeg-4.0.3.so
+allegro_f8_FILE=	${LINUXBASE}/usr/lib/liballeg-4.2.2.so
+allegro_DETECT=		${allegro${LINUX_DIST_SUFFIX:S/-//}_FILE}
+allegro_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-allegro
+allegro_DEPENDS=	xorglibs
+
+alsalib_FILE=		${LINUXBASE}/lib/libasound.so.2.0.0
+alsalib_f8_FILE=	${alsalib_FILE}
+alsalib_DETECT=		${alsalib${LINUX_DIST_SUFFIX:S/-//}_FILE}
+alsalib_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-alsa-lib
+
+arts_FILE=			${LINUXBASE}/usr/lib/libartsc.so.0
+arts_f8_FILE=		${arts_FILE}
+arts_DETECT=		${arts${LINUX_DIST_SUFFIX:S/-//}_FILE}
+arts_PORT=			${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-arts
+
+aspell_FILE=		${LINUXBASE}/usr/lib/libaspell.so.15.0.2
+aspell_f8_FILE=		${LINUXBASE}/usr/lib/libaspell.so.15.1.4
+aspell_DETECT=		${aspell${LINUX_DIST_SUFFIX:S/-//}_FILE}
+aspell_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-aspell
+
+atk_FILE=			${LINUXBASE}/usr/lib/libatk-1.0.so.0.901.0
+atk_f8_FILE=		${LINUXBASE}/usr/lib/libatk-1.0.so.0.2009.1
+atk_DETECT=			${atk${LINUX_DIST_SUFFIX:S/-//}_FILE}
+atk_PORT=			${PORTSDIR}/accessibility/linux${LINUX_DIST_SUFFIX}-atk
+
+cairo_FILE=			${LINUXBASE}/usr/lib/libcairo.so.2.2.3
+cairo_f8_FILE=		${LINUXBASE}/usr/lib/libcairo.so.2.11.7
+cairo_DETECT=		${cairo${LINUX_DIST_SUFFIX:S/-//}_FILE}
+cairo_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-cairo
+cairo_DEPENDS=		fontconfig png xorglibs
+
+curl_FILE=		${LINUXBASE}/usr/lib/libcurl.so.3.0.0
+curl_f8_FILE=
+curl_DETECT=		${curl${LINUX_DIST_SUFFIX:S/-//}_FILE}
+curl_PORT=		${PORTSDIR}/ftp/linux${LINUX_DIST_SUFFIX}-curl
+
+esound_FILE=		${LINUXBASE}/usr/lib/libesd.so.0.2.36
+esound_f8_FILE=		${LINUXBASE}/usr/lib/libesd.so.0.2.38
+esound_DETECT=		${esound${LINUX_DIST_SUFFIX:S/-//}_FILE}
+esound_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-esound
+esound_DEPENDS=		libaudiofile
+
+expat_FILE=			${LINUXBASE}/usr/lib/libexpat.so.0
+expat_f8_FILE=		${LINUXBASE}/lib/libexpat.so.1
+expat_DETECT=		${expat${LINUX_DIST_SUFFIX:S/-//}_FILE}
+expat_PORT=			${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-expat
+
+fontconfig_FILE=	${LINUXBASE}/usr/lib/libfontconfig.so.1
+fontconfig_f8_FILE=	${LINUXBASE}/usr/lib/libfontconfig.so.1.2.0
+fontconfig_DETECT=	${fontconfig${LINUX_DIST_SUFFIX:S/-//}_FILE}
+fontconfig_PORT=	${PORTSDIR}/x11-fonts/linux${LINUX_DIST_SUFFIX}-fontconfig
+fontconfig_DEPENDS=	expat
+
+freealut_FILE=		${LINUXBASE}/usr/lib/libalut.so.0.1.0
+freealut_f8_FILE=	${freealut_FILE}
+freealut_DETECT=	${freealut${LINUX_DIST_SUFFIX:S/-//}_FILE}
+freealut_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-freealut
+freealut_DEPENDS=	openal
+
+gdkpixbuf_FILE=		${LINUXBASE}/usr/lib/libgdk_pixbuf.so.2
+gdkpixbuf_f8_FILE=	${gdkpixbuf_FILE}
+gdkpixbuf_DETECT=	${gdkpixbuf${LINUX_DIST_SUFFIX:S/-//}_FILE}
+gdkpixbuf_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-gdk-pixbuf
+
+gtk_FILE=			${LINUXBASE}/usr/lib/libgtk-1.2.so.0.9.1
+gtk_f8_FILE=		${gtk_FILE}
+gtk_DETECT=			${gtk${LINUX_DIST_SUFFIX:S/-//}_FILE}
+gtk_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-gtk
+gtk_DEPENDS=		xorglibs
+
+gtk2_FILE=			${LINUXBASE}/usr/lib/libgtk-x11-2.0.so.0.600.10
+gtk2_f8_FILE=		${LINUXBASE}/usr/lib/libgtk-x11-2.0.so.0.1200.5
+gtk2_DETECT=		${gtk2${LINUX_DIST_SUFFIX:S/-//}_FILE}
+gtk2_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-gtk2
+gtk2_DEPENDS=		atk jpeg png pango tiff xorglibs
+
+hicontheme_FILE=	${LINUXBASE}/usr/share/icons/hicolor
+hicontheme_f8_FILE=	${hicontheme_FILE}
+hicontheme_DETECT=	${hicontheme${LINUX_DIST_SUFFIX:S/-//}_FILE}
+hicontheme_PORT=	${PORTSDIR}/x11-themes/linux-hicolor-icon-theme
+
+imlib_FILE=			${LINUXBASE}/usr/lib/libgdk_imlib.so.1.9.13
+imlib_f8_FILE=		${LINUXBASE}/usr/lib/libgdk_imlib.so.1.9.15
+imlib_DETECT=		${imlib${LINUX_DIST_SUFFIX:S/-//}_FILE}
+imlib_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-imlib
+
+jpeg_FILE=			${LINUXBASE}/usr/lib/libjpeg.so.62.0.0
+jpeg_f8_FILE=		${jpeg_FILE}
+jpeg_DETECT=		${jpeg${LINUX_DIST_SUFFIX:S/-//}_FILE}
+jpeg_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-jpeg
+
+libaudiofile_FILE=	${LINUXBASE}/usr/lib/libaudiofile.so.0.0.2
+libaudiofile_f8_FILE=	${libaudiofile_FILE}
+libaudiofile_DETECT=	${libaudiofile${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libaudiofile_PORT=	${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libaudiofile
+
+libg2c_FILE=		${LINUXBASE}/usr/lib/libg2c.so.0.0.0
+libg2c_f8_FILE=		${libg2c_FILE}
+libg2c_DETECT=		${libg2c${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libg2c_PORT=		${PORTSDIR}/lang/linux${LINUX_DIST_SUFFIX}-libg2c
+
+libglade_FILE=		${LINUXBASE}/usr/lib/libglade.so.0.4.2
+libglade_f8_FILE=	${libglade_FILE}
+libglade_DETECT=	${libglade${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libglade_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libglade
+
+libglade2_FILE=		${LINUXBASE}/usr/lib/libglade-2.0.so.0.0.7
+libglade2_f8_FILE=	${libglade2_FILE}
+libglade2_DETECT=	${libglade2${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libglade2_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libglade2
+
+libglu_FILE=		${LINUXBASE}/usr/X11R6/lib/libGLU.so.1.3
+libglu_f8_FILE=		${LINUXBASE}/usr/lib/libGLU.so.1.3.070002
+libglu_DETECT=		${libglu${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libglu_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-libGLU
+
+libmng_FILE=		${LINUXBASE}/usr/lib/libmng.so.1.0.0
+libmng_f8_FILE=		${libmng_FILE}
+libmng_DETECT=		${libmng${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libmng_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-libmng
+libmng_DEPENDS=		jpeg
+
+libogg_FILE=		${LINUXBASE}/usr/lib/libogg.so.0.5.2
+libogg_f8_FILE=		${LINUXBASE}/usr/lib/libogg.so.0.5.3
+libogg_DETECT=		${libogg${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libogg_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libogg
+
+libsigcpp20_FILE=	${LINUXBASE}/usr/lib/libsigc-2.0.so.0
+libsigcpp20_f8_FILE=	${libsigcpp20_FILE}
+libsigcpp20_DETECT=	${libsigcpp20${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libsigcpp20_PORT=	${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libsigc++20
+
+libtheora_FILE=		${LINUXBASE}/usr/lib/libtheora.so.0.1.0
+libtheora_f8_FILE=
+libtheora_DETECT=	${libtheora${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libtheora_PORT=		${PORTSDIR}/multimedia/linux${LINUX_DIST_SUFFIX}-libtheora
+
+libvorbis_FILE=		${LINUXBASE}/usr/lib/libvorbis.so.0.3.0
+libvorbis_f8_FILE=	${LINUXBASE}/usr/lib/libvorbis.so.0.4.0
+libvorbis_DETECT=	${libvorbis${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libvorbis_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libvorbis
+libvorbis_DEPENDS=	libogg
+
+libxml_FILE=		${LINUXBASE}/usr/lib/libxml.so.1.8.17
+libxml_f8_FILE=		${libxml_FILE}
+libxml_DETECT=		${libxml${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libxml_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-libxml
+
+libxml2_FILE=		${LINUXBASE}/usr/lib/libxml2.so.2.6.19
+libxml2_f8_FILE=	${LINUXBASE}/usr/lib/libxml2.so.2.6.31
+libxml2_DETECT=		${libxml2${LINUX_DIST_SUFFIX:S/-//}_FILE}
+libxml2_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-libxml2
+
+mikmod_FILE=		${LINUXBASE}/usr/lib/libmikmod.so.2.0.4
+mikmod_f8_FILE=		${mikmod_FILE}
+mikmod_DETECT=		${mikmod${LINUX_DIST_SUFFIX:S/-//}_FILE}
+mikmod_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-mikmod
+
+openmotif_FILE=		${LINUXBASE}/usr/X11R6/lib/libXm.so.3.0.3
+openmotif_f8_FILE=
+openmotif_DETECT=	${openmotif${LINUX_DIST_SUFFIX:S/-//}_FILE}
+openmotif_PORT=		${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-openmotif
+openmotif_DEPENDS=	xorglibs
+
+openal_FILE=		${LINUXBASE}/usr/lib/libopenal.so.0.0.0
+openal_f8_FILE=		${openal_FILE}
+openal_DETECT=		${openal${LINUX_DIST_SUFFIX:S/-//}_FILE}
+openal_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-openal
+openal_DEPENDS=		alsalib arts esound libaudiofile libvorbis sdl12
+
+openssl_FILE=		${LINUXBASE}/lib/libssl.so.0.9.7f
+openssl_f8_FILE=	${LINUXBASE}/lib/libssl.so.0.9.8b
+openssl_DETECT=		${openssl${LINUX_DIST_SUFFIX:S/-//}_FILE}
+openssl_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-openssl
+
+pango_FILE=			${LINUXBASE}/usr/lib/libpango-1.0.so.0.1001.1
+pango_f8_FILE=		${LINUXBASE}/usr/lib/libpango-1.0.so.0.1800.4
+pango_DETECT=		${pango${LINUX_DIST_SUFFIX:S/-//}_FILE}
+pango_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-pango
+pango_DEPENDS=		cairo expat fontconfig xorglibs
+
+png_FILE=			${LINUXBASE}/usr/lib/libpng.so.3.1.2.8
+png_f8_FILE=		${LINUXBASE}/usr/lib/libpng.so.3.22.0
+png_DETECT=			${png${LINUX_DIST_SUFFIX:S/-//}_FILE}
+png_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-png
+
+png10_FILE=			${LINUXBASE}/usr/lib/libpng.so.2.1.0.18
+png10_f8_FILE=		${LINUXBASE}/usr/lib/libpng.so.2.1.0.30
+png10_DETECT=		${png10${LINUX_DIST_SUFFIX:S/-//}_FILE}
+png10_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-png10
+
+qt33_FILE=			${LINUXBASE}/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.4
+qt33_f8_FILE=		${LINUXBASE}/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.8
+qt33_DETECT=		${qt33${LINUX_DIST_SUFFIX:S/-//}_FILE}
+qt33_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-qt33
+qt33_DEPENDS=		fontconfig libmng png
+
+sdl12_FILE=		${LINUXBASE}/usr/lib/libSDL-1.2.so.0.7.3
+sdl12_f8_FILE=		${LINUXBASE}/usr/lib/libSDL-1.2.so.0.11.2
+sdl12_DETECT=		${sdl12${LINUX_DIST_SUFFIX:S/-//}_FILE}
+sdl12_PORT=			${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-sdl12
+sdl12_DEPENDS=		xorglibs
+
+sdlimage_FILE=		${LINUXBASE}/usr/lib/libSDL_image-1.2.so.0.1.4
+sdlimage_f8_FILE=	${LINUXBASE}/usr/lib/libSDL_image-1.2.so.0.1.5
+sdlimage_DETECT=	${sdlimage${LINUX_DIST_SUFFIX:S/-//}_FILE}
+sdlimage_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-sdl_image
+sdlimage_DEPENDS=	sdl12
+
+sdlmixer_FILE=		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0.2.4
+sdlmixer_f8_FILE=	${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0.2.6
+sdlmixer_DETECT=	${sdlmixer${LINUX_DIST_SUFFIX:S/-//}_FILE}
+sdlmixer_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-sdl_mixer
+sdlmixer_DEPENDS=	sdl12
+
+scimgtk_FILE=		${LINUXBASE}/usr/lib/gtk-2.0/immodules/im-scim.so
+scimgtk_f8_FILE=
+scimgtk_DETECT=		${scimgtk${LINUX_DIST_SUFFIX:S/-//}_FILE}
+scimgtk_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-scim-gtk
+scimgtk_DEPENDS=	gtk2 scimlibs
+
+scimlibs_FILE=		${LINUXBASE}/usr/lib/libscim-1.0.so.8.1.0
+scimlibs_f8_FILE=	${LINUXBASE}/usr/lib/libscim-1.0.so.8.2.3
+scimlibs_DETECT=	${scimlibs${LINUX_DIST_SUFFIX:S/-//}_FILE}
+scimlibs_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-scim-libs
+scimlibs_DEPENDS=	gtk2
+
+tiff_FILE=			${LINUXBASE}/usr/lib/libtiff.so.3.7.1
+tiff_f8_FILE=		${LINUXBASE}/usr/lib/libtiff.so.3.8.2
+tiff_DETECT=		${tiff${LINUX_DIST_SUFFIX:S/-//}_FILE}
+tiff_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-tiff
+tiff_DEPENDS=		jpeg
+
+xorglibs_FILE=		${LINUXBASE}/usr/X11R6/lib/libXrandr.so.2.0
+xorglibs_f8_FILE=	${LINUXBASE}/usr/lib/libXrandr.so.2.1.0
+xorglibs_DETECT=	${xorglibs${LINUX_DIST_SUFFIX:S/-//}_FILE}
+xorglibs_PORT=		${PORTSDIR}/x11/linux${LINUX_DIST_SUFFIX}-xorg-libs
+xorglibs_DEPENDS=	fontconfig
+
+ucl_FILE=		${LINUXBASE}/usr/lib/libucl.so.1
+ucl_f8_FILE=		${ucl_FILE}
+ucl_DETECT=		${ucl${LINUX_DIST_SUFFIX:S/-//}_FILE}
+ucl_PORT=		${PORTSDIR}/archivers/linux${LINUX_DIST_SUFFIX}-ucl
+
+ungif_FILE=			${LINUXBASE}/usr/lib/libgif.so.4.1.3
+ungif_f8_FILE=		${ungif_FILE}
+ungif_DETECT=		${ungif${LINUX_DIST_SUFFIX:S/-//}_FILE}
+ungif_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-ungif
+
+upx_FILE=			${LINUXBASE}/usr/bin/upx
+upx_f8_FILE=		${upx_FILE}
+upx_DETECT=			${upx${LINUX_DIST_SUFFIX:S/-//}_FILE}
+upx_PORT=			${PORTSDIR}/archivers/linux${LINUX_DIST_SUFFIX}-upx
+upx_DEPENDS=		ucl
+
+webauth_FILE=		${LOCALBASE}/bin/linux-nvu
+webauth_f8_FILE=	${LOCALBASE}/bin/linux-kompozer
+webauth_DETECT=		${webauth${LINUX_DIST_SUFFIX:S/-//}_FILE}
+webauth_PORT=		${PORTSDIR}/www/linux-${WEB_AUTH}
+webauth_DEPENDS=	gtk2 atk pango fontconfig
+
+# End component definition section
+
+# Recursively expand all dependencies for each app at _LINUX_APPS_ALL
+.  for component in ${_LINUX_APPS_ALL}
+.    for subcomponent in ${${component}_DEPENDS}
+${component}_DEPENDS+=${${subcomponent}_DEPENDS}
+.    endfor
+.  endfor
+
+# Use just expanded dependencies (<app>_DEPENDS) to expand USE_LINUX_APPS
+.  for component in ${USE_LINUX_APPS}
+_USE_LINUX_APPS+=${${component}_DEPENDS} ${component}
+.  endfor
+
+# Set dependencies for _USE_LINUX_APPS which exists at _LINUX_APPS_ALL
+.  for component in ${_LINUX_APPS_ALL}
+.    if ${_USE_LINUX_APPS:M${component}}!=""
+RUN_DEPENDS+=   ${${component}_DETECT}:${${component}_PORT}
+.    endif
+.  endfor
+.endif
Index: Mk/bsd.linux-rpm.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.linux-rpm.mk,v
retrieving revision 1.13
diff -u -r1.13 bsd.linux-rpm.mk
--- Mk/bsd.linux-rpm.mk	15 Aug 2008 12:29:42 -0000	1.13
+++ Mk/bsd.linux-rpm.mk	10 Mar 2009 16:21:47 -0000
@@ -65,12 +65,24 @@
 DIST_SUBDIR?=	rpm/${LINUX_RPM_ARCH}/${LINUX_DIST}/${LINUX_DIST_VER}
 
 .    if ${LINUX_DIST} == "fedora"
+# we do not want to define MASTER_SITES and MASTER_SITE_* if they are already defined
+# ex.: MASTER_SITES=file:///...
 .      ifndef MASTER_SITES
-MASTER_SITES?=			${MASTER_SITE_FEDORA_LINUX}
+MASTER_SITES=			${MASTER_SITE_FEDORA_LINUX}
+.        if ${LINUX_DIST_VER} == 8
+.          if (${LINUX_OSRELEASE} != "2.6.16") && defined(PACKAGE_BUILDING)
+IGNORE=		packages should be built with compat.linux.osrelease=2.6.16
+.          endif
+MASTER_SITE_SUBDIR?=	../releases/${LINUX_DIST_VER}/Everything/${LINUX_RPM_ARCH}/os/Packages \
+			../updates/${LINUX_DIST_VER}/${LINUX_RPM_ARCH}.newkey
+MASTER_SITE_SRC_SUBDIR?=	../releases/${LINUX_DIST_VER}/Everything/source/SRPMS \
+				../updates/${LINUX_DIST_VER}/SRPMS.newkey
+.        else
 MASTER_SITE_SUBDIR?=	${LINUX_DIST_VER}/${LINUX_RPM_ARCH}/os/Fedora/RPMS \
 			updates/${LINUX_DIST_VER}/${LINUX_RPM_ARCH}
 MASTER_SITE_SRC_SUBDIR?=	${LINUX_DIST_VER}/SRPMS \
 				updates/${LINUX_DIST_VER}/SRPMS
+.        endif
 .      endif
 .    else
 IGNORE=	unknown LINUX_DIST in port Makefile
Index: Mk/bsd.port.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.612
diff -u -r1.612 bsd.port.mk
--- Mk/bsd.port.mk	5 Mar 2009 17:56:23 -0000	1.612
+++ Mk/bsd.port.mk	10 Mar 2009 16:21:49 -0000
@@ -490,6 +490,10 @@
 #				  RPM ports.
 #				  Implies inclusion of bsd.linux-rpm.mk.
 #
+# LINUX_OSRELEASE	- Contains the value of compat.linux.osrelease sysctl.
+#				  Will be used to distinguish which linux
+#				  infrastructure ports should be used.
+#				  Valid values: 2.4.2, 2.6.16.
 # AUTOMATIC_PLIST
 #				- Set to yes to enable automatic packing list generation.
 #				  Currently has no effect unless USE_LINUX_RPM is set.
@@ -1338,6 +1342,10 @@
 .include "${PORTSDIR}/Mk/bsd.linux-rpm.mk"
 .endif
 
+.if defined(USE_LINUX_APPS)
+.include "${PORTSDIR}/Mk/bsd.linux-apps.mk"
+.endif
+
 .if defined(X_WINDOW_SYSTEM) && ${X_WINDOW_SYSTEM:L} != "xorg"
 IGNORE=		cannot be installed: bad X_WINDOW_SYSTEM setting; valid value is 'xorg'
 .endif
@@ -1786,6 +1794,10 @@
 
 .if defined(USE_LINUX)
 
+.  if !defined(LINUX_OSRELEASE)
+LINUX_OSRELEASE!=	${ECHO_CMD} `${SYSCTL} -n compat.linux.osrelease 2>/dev/null`
+.  endif
+
 # install(1) also does a brandelf on strip, so don't strip with FreeBSD tools.
 STRIP=
 .	if exists(${LINUXBASE}/usr/bin/strip)
@@ -1953,6 +1965,10 @@
 .include "${PORTSDIR}/Mk/bsd.linux-rpm.mk"
 .endif
 
+.if defined(USE_LINUX_APPS)
+.include "${PORTSDIR}/Mk/bsd.linux-apps.mk"
+.endif
+
 .if defined (USE_QT_VER) && ${USE_QT_VER:L} == 4
 .include "${PORTSDIR}/Mk/bsd.qt.mk"
 .endif
Index: archivers/linux-upx/Makefile
===================================================================
RCS file: /home/pcvs/ports/archivers/linux-upx/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- archivers/linux-upx/Makefile	4 Jun 2007 08:48:38 -0000	1.1
+++ archivers/linux-upx/Makefile	10 Mar 2009 16:21:49 -0000
@@ -14,9 +14,8 @@
 MAINTAINER=		emulation@FreeBSD.org
 COMMENT=		RPM of UPX, a high-performance executable packer
 
-RUN_DEPENDS=		${LINUXBASE}/usr/lib/libucl.so.1:${PORTSDIR}/archivers/linux-ucl
-
 USE_LINUX_RPM=		yes
+USE_LINUX_APPS=		ucl
 RPMVERSION=		4
 LINUX_DIST_VER=		4
 BRANDELF_FILES=		usr/bin/upx
Index: astro/google-earth/Makefile
===================================================================
RCS file: /home/pcvs/ports/astro/google-earth/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- astro/google-earth/Makefile	4 Feb 2009 23:00:41 -0000	1.28
+++ astro/google-earth/Makefile	10 Mar 2009 16:21:49 -0000
@@ -25,8 +25,8 @@
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:C/\..*//g}/
 
 USE_LINUX=	yes
+USE_LINUX_APPS=	xorglibs
 USE_GNOME=	desktopfileutils
-USE_XLIB=	yes
 
 .include <bsd.port.pre.mk>
 
Index: audio/baudline/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/baudline/Makefile,v
retrieving revision 1.36
diff -u -r1.36 Makefile
--- audio/baudline/Makefile	2 Feb 2009 23:43:54 -0000	1.36
+++ audio/baudline/Makefile	10 Mar 2009 16:21:49 -0000
@@ -19,8 +19,8 @@
 
 RUN_DEPENDS=	mpg123:${PORTSDIR}/audio/mpg123
 
-USE_XLIB=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	xorglibs
 ONLY_FOR_ARCHS=	i386 amd64
 
 RESTRICTED=	author requests no distribution except from their site
Index: audio/linux-esound/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/linux-esound/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- audio/linux-esound/Makefile	19 Apr 2008 17:46:27 -0000	1.16
+++ audio/linux-esound/Makefile	10 Mar 2009 16:21:49 -0000
@@ -13,9 +13,8 @@
 MAINTAINER=	freebsd-emulation@FreeBSD.org
 COMMENT=	RPM of esound
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libaudiofile.so.0:${PORTSDIR}/audio/linux-libaudiofile
-
 USE_LINUX_RPM=	yes
+USE_LINUX_APPS=	libaudiofile
 LINUX_DIST_VER=	4
 USE_LDCONFIG=	yes
 BRANDELF_DIRS=	usr/bin
Index: audio/linux-freealut/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/linux-freealut/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- audio/linux-freealut/Makefile	5 Feb 2009 22:33:19 -0000	1.4
+++ audio/linux-freealut/Makefile	10 Mar 2009 16:21:49 -0000
@@ -14,9 +14,8 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A free implementation of OpenAL's ALUT standard (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libopenal.so.0:${PORTSDIR}/audio/linux-openal
-
 USE_LINUX_RPM=	yes
+USE_LINUX_APPS=	openal
 LINUX_DIST_VER=	4
 USE_LDCONFIG=	yes
 ONLY_FOR_ARCHS=	i386 amd64
Index: audio/linux-libvorbis/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/linux-libvorbis/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- audio/linux-libvorbis/Makefile	29 Apr 2008 05:11:34 -0000	1.7
+++ audio/linux-libvorbis/Makefile	10 Mar 2009 16:21:49 -0000
@@ -12,10 +12,9 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Audio compression codec library (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg
-
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX_RPM=	yes
+USE_LINUX_APPS=	libogg
 LINUX_DIST_VER=	4
 USE_LDCONFIG=	yes
 AUTOMATIC_PLIST=yes
Index: audio/linux-openal/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/linux-openal/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- audio/linux-openal/Makefile	21 Jan 2009 16:17:46 -0000	1.11
+++ audio/linux-openal/Makefile	10 Mar 2009 16:21:49 -0000
@@ -14,15 +14,9 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A 3D positional spatialized sound library (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/lib/libasound.so.2:${PORTSDIR}/audio/linux-alsa-lib \
-		${LINUXBASE}/usr/lib/libartsc.so.0:${PORTSDIR}/audio/linux-arts \
-		${LINUXBASE}/usr/lib/libesd.so.0:${PORTSDIR}/audio/linux-esound \
-		${LINUXBASE}/usr/lib/libaudiofile.so.0:${PORTSDIR}/audio/linux-libaudiofile \
-		${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX_RPM=	yes
+USE_LINUX_APPS=	alsalib arts esound libaudiofile libvorbis sdl12
 LINUX_DIST_VER=	4
 MASTER_SITE_SRC_SUBDIR=	../extras/${LINUX_DIST_VER}/SRPMS
 USE_LDCONFIG=	yes
Index: audio/linux-sdl_mixer/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/linux-sdl_mixer/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- audio/linux-sdl_mixer/Makefile	19 Feb 2009 21:45:37 -0000	1.2
+++ audio/linux-sdl_mixer/Makefile	10 Mar 2009 16:21:49 -0000
@@ -14,10 +14,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	A sample multi-channel audio mixer library (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX_RPM=	yes
+USE_LINUX_APPS=	sdl12
 LINUX_DIST_VER=	4
 USE_LDCONFIG=	yes
 AUTOMATIC_PLIST=yes
Index: audio/teamspeak_client/Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/teamspeak_client/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- audio/teamspeak_client/Makefile	19 Apr 2008 17:46:36 -0000	1.13
+++ audio/teamspeak_client/Makefile	10 Mar 2009 16:21:49 -0000
@@ -18,12 +18,10 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Client side of a group voice chat system
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg
-
 ONLY_FOR_ARCHS=	i386 amd64
 USE_BZIP2=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	jpeg xorglibs
 NO_BUILD=	yes
 
 TSIMG=		${WRKSRC}/setup.data/image
Index: biology/consed/Makefile
===================================================================
RCS file: /home/pcvs/ports/biology/consed/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- biology/consed/Makefile	25 May 2008 23:05:09 -0000	1.2
+++ biology/consed/Makefile	10 Mar 2009 16:21:50 -0000
@@ -21,7 +21,7 @@
 
 USE_PERL5=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 ONLY_FOR_ARCHS=	i386 amd64
 
 RESTRICTED=	Redistribution is not permitted in any form. You must request access permission via e-mail to get the tarball. Free for academic use.
Index: cad/linux-eagle/Makefile
===================================================================
RCS file: /home/pcvs/ports/cad/linux-eagle/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- cad/linux-eagle/Makefile	6 Jul 2007 10:22:42 -0000	1.20
+++ cad/linux-eagle/Makefile	10 Mar 2009 16:21:50 -0000
@@ -29,7 +29,7 @@
 NO_CDROM=	Sale for profit is not permitted
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 NO_BUILD=	yes
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
Index: cad/linux-gid/Makefile
===================================================================
RCS file: /home/pcvs/ports/cad/linux-gid/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- cad/linux-gid/Makefile	28 Apr 2008 11:32:02 -0000	1.8
+++ cad/linux-gid/Makefile	10 Mar 2009 16:21:50 -0000
@@ -20,7 +20,7 @@
 ONLY_FOR_ARCHS=	i386 amd64
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 REINPLACE_ARGS=	-i ""
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
Index: devel/linux-allegro/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/linux-allegro/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- devel/linux-allegro/Makefile	19 Apr 2008 17:47:56 -0000	1.9
+++ devel/linux-allegro/Makefile	10 Mar 2009 16:21:50 -0000
@@ -16,10 +16,10 @@
 COMMENT=	Cross-platform game programming library (linux version)
 
 USE_LINUX_RPM=		yes
+USE_LINUX_APPS=		xorglibs
 ONLY_FOR_ARCHS=		i386 amd64
 DIST_SUBDIR=		rpm
 USE_LDCONFIG=		yes
-USE_XLIB=		yes
 SRC_DISTFILES=
 
 MD5_FILE=	${MASTERDIR}/distinfo
Index: devel/linux-runrev/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/linux-runrev/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- devel/linux-runrev/Makefile	19 Apr 2008 17:47:57 -0000	1.10
+++ devel/linux-runrev/Makefile	10 Mar 2009 16:21:50 -0000
@@ -25,7 +25,7 @@
 ONLY_FOR_ARCHS=	i386
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 
 WRKSRC=		${WRKDIR}/Revolution-${PORTVERSION}
 DATADIR=	${PREFIX}/share/Revolution-${PORTVERSION}
Index: devel/linux-sdl12/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/linux-sdl12/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- devel/linux-sdl12/Makefile	3 Sep 2007 21:32:15 -0000	1.17
+++ devel/linux-sdl12/Makefile	10 Mar 2009 16:21:50 -0000
@@ -18,7 +18,7 @@
 COMMENT=	Cross-platform multi-media development API (linux version)
 
 USE_LINUX_RPM=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 INSTALL_SHLIB=	yes
 
 ONLY_FOR_ARCHS=	i386 amd64
Index: devel/radrails/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/radrails/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- devel/radrails/Makefile	11 Jun 2007 08:34:23 -0000	1.6
+++ devel/radrails/Makefile	10 Mar 2009 16:21:50 -0000
@@ -15,14 +15,14 @@
 MAINTAINER=	alecn2002@yandex.ru
 COMMENT=	IDE for Ruby On Rails
 
-RUN_DEPENDS=	${LINUXBASE}/usr/bin/gtk-demo:${PORTSDIR}/x11-toolkits/linux-gtk2 \
-		${LOCALBASE}/bin/rails:${PORTSDIR}/www/rubygem-rails
+RUN_DEPENDS=	${LOCALBASE}/bin/rails:${PORTSDIR}/www/rubygem-rails
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 NO_BUILD=	yes
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
+USE_LINUX_APPS=	gtk2
 USE_JAVA=	yes
 JAVA_VERSION=	1.4+
 JAVA_OS=	linux
Index: editors/edith/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/edith/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- editors/edith/Makefile	19 Apr 2008 17:48:12 -0000	1.13
+++ editors/edith/Makefile	10 Mar 2009 16:21:50 -0000
@@ -18,7 +18,7 @@
 
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 
 RESTRICTED=	"Redistribution not allowed"
 NO_BUILD=	yes
Index: editors/komodo-edit/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/komodo-edit/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- editors/komodo-edit/Makefile	16 Jul 2008 20:34:59 -0000	1.5
+++ editors/komodo-edit/Makefile	10 Mar 2009 16:21:50 -0000
@@ -13,13 +13,11 @@
 MAINTAINER=	gahr@FreeBSD.org
 COMMENT=	Multi-language editor from ActiveState
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/bin/gtk-demo:${PORTSDIR}/x11-toolkits/linux-gtk2
-
 ONLY_FOR_ARCH=	i386 amd64
 RESTRICTED=	Distribution not permitted
 NO_BUILD=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	gtk2 jpeg
 USE_PYTHON=	yes
 
 post-patch:
Index: editors/staroffice5/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/staroffice5/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- editors/staroffice5/Makefile	19 Apr 2008 17:48:22 -0000	1.24
+++ editors/staroffice5/Makefile	10 Mar 2009 16:21:50 -0000
@@ -25,7 +25,7 @@
 NO_CDROM=	'Must be downloaded direct from Sun via www interface'
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 IS_INTERACTIVE=	yes
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 EXTRACT_CMD=	${CAT}
Index: editors/staroffice52/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/staroffice52/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- editors/staroffice52/Makefile	19 Apr 2008 17:48:22 -0000	1.52
+++ editors/staroffice52/Makefile	10 Mar 2009 16:21:50 -0000
@@ -41,7 +41,7 @@
 IS_INTERACTIVE=	yes
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 DIST_SUBDIR=	staroffice52
 WRKSRC=		${WRKDIR}/office52
 TMPDIR=		${WRKDIR}/tmp
Index: editors/staroffice60/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/staroffice60/Makefile,v
retrieving revision 1.62
diff -u -r1.62 Makefile
--- editors/staroffice60/Makefile	19 Apr 2008 17:48:23 -0000	1.62
+++ editors/staroffice60/Makefile	10 Mar 2009 16:21:50 -0000
@@ -31,7 +31,7 @@
 NO_CDROM=	'Must be bought and downloaded direct from Sun via www interface'
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 IS_INTERACTIVE=	yes
 NO_BUILD=	yes
 SOVERSION=	${PORTNAME}${PORTVERSION}
Index: editors/staroffice70/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/staroffice70/Makefile,v
retrieving revision 1.67
diff -u -r1.67 Makefile
--- editors/staroffice70/Makefile	19 Apr 2008 17:48:23 -0000	1.67
+++ editors/staroffice70/Makefile	10 Mar 2009 16:21:50 -0000
@@ -34,7 +34,7 @@
 NO_CDROM=	'Must be bought and downloaded direct from Sun via www interface'
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 IS_INTERACTIVE=	yes
 NO_BUILD=	yes
 SOVERSION=	${PORTNAME}${PORTVERSION}
Index: emulators/linux-ePSXe/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-ePSXe/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- emulators/linux-ePSXe/Makefile	29 Apr 2008 05:11:37 -0000	1.16
+++ emulators/linux-ePSXe/Makefile	10 Mar 2009 16:21:50 -0000
@@ -16,10 +16,8 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A Sony Playstation emulator (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 USE_ZIP=	yes
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
Index: emulators/linux-geepee32/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-geepee32/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- emulators/linux-geepee32/Makefile	19 Apr 2008 17:48:30 -0000	1.10
+++ emulators/linux-geepee32/Makefile	10 Mar 2009 16:21:50 -0000
@@ -15,11 +15,9 @@
 MAINTAINER=	arundel@h3c.de
 COMMENT=	The only GP32 emulator for i386
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 ONLY_FOR_ARCHS=	i386
-USE_XLIB=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	sdl12 xorglibs
 USE_ZIP=	yes
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
Index: emulators/linux-padjoy/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-padjoy/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- emulators/linux-padjoy/Makefile	29 Apr 2008 05:11:37 -0000	1.4
+++ emulators/linux-padjoy/Makefile	10 Mar 2009 16:21:50 -0000
@@ -17,13 +17,12 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PSEmu Pro joystick plugin (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk \
-		/boot/modules/linux_js.ko:${PORTSDIR}/devel/linux-js
+RUN_DEPENDS=	/boot/modules/linux_js.ko:${PORTSDIR}/devel/linux-js
 
 WRKSRC=		${WRKDIR}/padJoy
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 
 ONLY_FOR_ARCHS=	i386 amd64
 
Index: emulators/linux-peops-softgpu/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-peops-softgpu/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- emulators/linux-peops-softgpu/Makefile	29 Apr 2008 05:11:37 -0000	1.13
+++ emulators/linux-peops-softgpu/Makefile	10 Mar 2009 16:21:50 -0000
@@ -16,12 +16,10 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PSEmu Pro GPU plugin using a software X11 renderer (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 
 ONLY_FOR_ARCHS=	i386 amd64
 
Index: emulators/linux-peops-spu/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-peops-spu/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- emulators/linux-peops-spu/Makefile	29 Apr 2008 05:11:37 -0000	1.12
+++ emulators/linux-peops-spu/Makefile	10 Mar 2009 16:21:50 -0000
@@ -16,12 +16,10 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PSEmu Pro SPU plugin using the OSS interface (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 
 ONLY_FOR_ARCHS=	i386 amd64
 
Index: emulators/linux-pete-mesagpu/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-pete-mesagpu/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- emulators/linux-pete-mesagpu/Makefile	10 Jul 2008 19:55:13 -0000	1.14
+++ emulators/linux-pete-mesagpu/Makefile	10 Mar 2009 16:21:50 -0000
@@ -16,8 +16,6 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PSEmu Pro GPU plugin using an OpenGL renderer (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 .ifdef WITH_NVIDIA_GL
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
@@ -27,7 +25,7 @@
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 
 ONLY_FOR_ARCHS=	i386 amd64
 
Index: emulators/linux-pete-xgl2gpu/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-pete-xgl2gpu/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- emulators/linux-pete-xgl2gpu/Makefile	29 Apr 2008 05:11:37 -0000	1.7
+++ emulators/linux-pete-xgl2gpu/Makefile	10 Mar 2009 16:21:50 -0000
@@ -14,8 +14,6 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PSEmu Pro GPU plugin using a modern OpenGL renderer (Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
@@ -25,7 +23,7 @@
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 
 ONLY_FOR_ARCHS=	i386 amd64
 
Index: emulators/linux-vmware-toolbox2/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-vmware-toolbox2/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- emulators/linux-vmware-toolbox2/Makefile	5 Jan 2009 19:43:57 -0000	1.18
+++ emulators/linux-vmware-toolbox2/Makefile	10 Mar 2009 16:21:50 -0000
@@ -19,7 +19,7 @@
 ONLY_FOR_ARCHS=	i386
 PLIST_FILES=	bin/linux-vmware-toolbox
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 NO_BUILD=	yes
 .if !defined(BATCH)
 IS_INTERACTIVE=	yes
Index: emulators/linux-vmware-toolbox4/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-vmware-toolbox4/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- emulators/linux-vmware-toolbox4/Makefile	19 Apr 2008 17:48:31 -0000	1.25
+++ emulators/linux-vmware-toolbox4/Makefile	10 Mar 2009 16:21:50 -0000
@@ -24,7 +24,7 @@
 ONLY_FOR_ARCHS=	i386
 NO_BUILD=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 .if !defined(BATCH)
 IS_INTERACTIVE=	yes
 .endif
Index: emulators/linux-vmware-toolbox5/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-vmware-toolbox5/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- emulators/linux-vmware-toolbox5/Makefile	19 Apr 2008 17:48:31 -0000	1.28
+++ emulators/linux-vmware-toolbox5/Makefile	10 Mar 2009 16:21:50 -0000
@@ -15,8 +15,6 @@
 MAINTAINER=	matusita@FreeBSD.org
 COMMENT=VMware toolbox for guest OS (VMware Workstation 5.x, Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 DISTDIR=	${MOUNT_PT}
 IGNOREFILES=	${DISTFILES}
 PLIST_FILES=	bin/linux-vmware-toolbox bin/linux-vmware-toolbox-gtk \
@@ -25,7 +23,7 @@
 
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 NO_BUILD=	yes
 .if !defined(BATCH)
 IS_INTERACTIVE=	yes
Index: emulators/linux-vmware-toolbox6/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/linux-vmware-toolbox6/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- emulators/linux-vmware-toolbox6/Makefile	19 Apr 2008 17:48:32 -0000	1.33
+++ emulators/linux-vmware-toolbox6/Makefile	10 Mar 2009 16:21:50 -0000
@@ -15,8 +15,6 @@
 MAINTAINER=	matusita@FreeBSD.org
 COMMENT=VMware toolbox for guest OS (VMware Workstation 6.x, Linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 DISTDIR=	${MOUNT_PT}
 IGNOREFILES=	${DISTFILES}
 PLIST_FILES=	bin/linux-vmware-toolbox bin/linux-vmware-toolbox-gtk \
@@ -25,7 +23,7 @@
 
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	gtk xorglibs
 NO_BUILD=	yes
 .if !defined(BATCH)
 IS_INTERACTIVE=	yes
Index: emulators/vmware3/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/vmware3/Makefile,v
retrieving revision 1.99
diff -u -r1.99 Makefile
--- emulators/vmware3/Makefile	5 Jan 2009 19:44:00 -0000	1.99
+++ emulators/vmware3/Makefile	10 Mar 2009 16:21:51 -0000
@@ -45,7 +45,7 @@
 		VMNET1_MINOR="${VMNET1_MINOR}"
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 WRKSRC=		${WRKDIR}/vmware-distrib
 GZCAT=		${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/extract
 MAN1=		vmware.1
Index: french/gibi/Makefile
===================================================================
RCS file: /home/pcvs/ports/french/gibi/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- french/gibi/Makefile	14 Jan 2009 20:25:39 -0000	1.24
+++ french/gibi/Makefile	10 Mar 2009 16:21:51 -0000
@@ -25,7 +25,6 @@
 
 BUILD_DEPENDS+=	${LOCALBASE}/aster/${vaster}/asteru:${PORTSDIR}/french/aster
 RUN_DEPENDS+=	${LOCALBASE}/aster/${vaster}/asteru:${PORTSDIR}/french/aster	\
-		${LINUXBASE}/usr/lib/libg2c.so.0:${PORTSDIR}/lang/linux-libg2c	\
 		${SHELL_RUN_GIBI}:${PORTSDIR}/shells/${SHRGDEP}
 
 RESTRICTED=	Toute personne chargeant le logiciel GIBI s'engage à ne\
@@ -35,6 +34,7 @@
 ONLY_FOR_ARCHS=	i386 amd64
 
 USE_LINUX=	yes
+USE_LINUX_APPS=	libg2c
 REINPLACE_ARGS=	-i ""
 NO_BUILD=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
Index: french/staroffice52/Makefile
===================================================================
RCS file: /home/pcvs/ports/french/staroffice52/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- french/staroffice52/Makefile	19 Apr 2008 17:48:44 -0000	1.29
+++ french/staroffice52/Makefile	10 Mar 2009 16:21:51 -0000
@@ -36,7 +36,7 @@
 
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 NO_CDROM=	'Doit être téléchargé depuis le site web de Sun'
 CD_MOUNTPT=	'/cdrom'
 IS_INTERACTIVE=	yes
Index: games/HeroesOfMightAndMagic/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/HeroesOfMightAndMagic/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/HeroesOfMightAndMagic/Makefile	19 Feb 2009 21:45:39 -0000	1.10
+++ games/HeroesOfMightAndMagic/Makefile	10 Mar 2009 16:21:51 -0000
@@ -15,12 +15,11 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	BSD Installation of the Linux game "Heroes of Might and Magic III"
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libgtk-1.2.so.0:${PORTSDIR}/x11-toolkits/linux-gtk
-
 PLIST=		${WRKDIR}/PLIST
 IS_INTERACTIVE=	yes
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX=	yes
+USE_LINUX_APPS=	gtk
 NO_BUILD=	yes
 NO_WRKSUBDIR=	yes
 NO_CDROM=	Software is commercial
Index: games/adom/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/adom/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- games/adom/Makefile	19 Apr 2008 17:48:47 -0000	1.18
+++ games/adom/Makefile	10 Mar 2009 16:21:51 -0000
@@ -19,7 +19,7 @@
 
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 
 WRKSRC=		${WRKDIR}/adom
 NO_BUILD=	yes
Index: games/dsnake/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/dsnake/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- games/dsnake/Makefile	19 Apr 2008 17:48:57 -0000	1.9
+++ games/dsnake/Makefile	10 Mar 2009 16:21:51 -0000
@@ -15,13 +15,11 @@
 MAINTAINER=	pav@FreeBSD.org
 COMMENT=	Deluxe Snake - snake clone with frogs and mushrooms
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/liballeg.so.4.0:${PORTSDIR}/devel/linux-allegro
-
 RESTRICTED=	Licence forbids any repacking and reselling
 
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	allegro xorglibs
 WRKSRC=		${WRKDIR}/DeluxeSnake
 
 SUB_FILES=	pkg-install pkg-deinstall
Index: games/gish-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/gish-demo/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- games/gish-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.6
+++ games/gish-demo/Makefile	10 Mar 2009 16:21:51 -0000
@@ -14,14 +14,11 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	A platform game with a gelatinous 12-pound ball of tar named Gish (Demo version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/usr/lib/libopenal.so.0:${PORTSDIR}/audio/linux-openal \
-		${LINUXBASE}/usr/lib/libalut.so.0:${PORTSDIR}/audio/linux-freealut
-
 RESTRICTED=	(c) Copyright 2004 Chronic Logic All rights reserved
 ONLY_FOR_ARCHS=	i386 amd64
 ONLY_FOR_ARCHS_REASON=	is an i386 Linux binary
 USE_LINUX=	yes
+USE_LINUX_APPS=	freealut libvorbis openal
 NO_BUILD=	yes
 DATADIR=	${PREFIX}/lib/${PORTNAME}
 SUB_FILES=	rungish.sh
Index: games/hohlin/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/hohlin/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- games/hohlin/Makefile	19 Apr 2008 17:49:11 -0000	1.5
+++ games/hohlin/Makefile	10 Mar 2009 16:21:51 -0000
@@ -22,7 +22,7 @@
 
 USE_BZIP2=	YES
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 ONLY_FOR_ARCHS=	i386
 SHORTPORTVERSION=${PORTVERSION:C/([0-9]*)\.([0-9]*)/\1\2/}
 
Index: games/linux-candycruncher-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-candycruncher-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-candycruncher-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.2
+++ games/linux-candycruncher-demo/Makefile	10 Mar 2009 16:21:51 -0000
@@ -16,17 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Candy Cruncher Demo - a fast puzzle game with lots of candies
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/lib/libasound.so.2:${PORTSDIR}/audio/linux-alsa-lib
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	alsalib jpeg libogg libvorbis mikmod sdl12 sdlmixer xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-coldwar-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-coldwar-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-coldwar-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.2
+++ games/linux-coldwar-demo/Makefile	10 Mar 2009 16:21:51 -0000
@@ -16,17 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Coldwar Demo - a third-person sneaker like Splinter Cell
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/usr/lib/libtheora.so.0:${PORTSDIR}/multimedia/linux-libtheora
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 jpeg sdlmixer mikmod libogg libvorbis libtheora xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-darwinia-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-darwinia-demo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- games/linux-darwinia-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.3
+++ games/linux-darwinia-demo/Makefile	10 Mar 2009 16:21:51 -0000
@@ -16,13 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Real-time action strategy with programs
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbisfile.so.3:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 libogg libvorbis xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 NO_WRKSUBDIR=	yes
Index: games/linux-defcon/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-defcon/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-defcon/Makefile	19 Feb 2009 21:45:40 -0000	1.2
+++ games/linux-defcon/Makefile	10 Mar 2009 16:21:51 -0000
@@ -15,13 +15,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Defcon for Linux
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbisfile.so.3:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 libogg libvorbis xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-doom3/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-doom3/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- games/linux-doom3/Makefile	26 Jul 2007 16:33:50 -0000	1.8
+++ games/linux-doom3/Makefile	10 Mar 2009 16:21:51 -0000
@@ -19,7 +19,7 @@
 COMMENT=	Doom III for Linux
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 NO_WRKSUBDIR=	yes
Index: games/linux-doom3-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-doom3-demo/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- games/linux-doom3-demo/Makefile	17 Nov 2008 00:22:53 -0000	1.6
+++ games/linux-doom3-demo/Makefile	10 Mar 2009 16:21:51 -0000
@@ -21,8 +21,8 @@
 COMMENT=	DOOM III demo for Linux
 
 ONLY_FOR_ARCHS=	i386 amd64
-USE_XLIB=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	xorglibs
 NO_PACKAGE=	Distfile size is 462MB, set FORCE_PACKAGE if you really want to build this package
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
Index: games/linux-gorky17-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-gorky17-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-gorky17-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.2
+++ games/linux-gorky17-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -16,16 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Gorky17 Demo - a tactical shooter similiar to Jagged Alliance
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 jpeg sdlmixer mikmod libogg libvorbis xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-hdb-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-hdb-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-hdb-demo/Makefile	19 Feb 2009 21:45:40 -0000	1.2
+++ games/linux-hdb-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -16,15 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Hyperspace Delivery Boy Demo - deliver mail and packages
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 sdlmixer mikmod libogg libvorbis xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-majesty-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-majesty-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-majesty-demo/Makefile	19 Feb 2009 21:45:41 -0000	1.2
+++ games/linux-majesty-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -16,16 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	Majesty Gold Demo
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
-
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX=	sdl12 jpeg sdlmixer mikmod libogg libvorbis xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-nerogame/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-nerogame/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- games/linux-nerogame/Makefile	5 Oct 2007 20:19:00 -0000	1.1
+++ games/linux-nerogame/Makefile	10 Mar 2009 16:21:52 -0000
@@ -15,11 +15,8 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Neuro envolving robotic operatives the game
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libtheora.so.0:${PORTSDIR}/multimedia/linux-libtheora
-
 USE_LINUX=	yes
+USE_LINUX_APPS=	libvorbis sdl12 libtheora
 NO_BUILD=	yes
 RESTRICTED=	Nero is freeware, but i am not sure of its license
 
Index: games/linux-ningpo-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-ningpo-demo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-ningpo-demo/Makefile	19 Feb 2009 21:45:41 -0000	1.2
+++ games/linux-ningpo-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -16,17 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	NingPo Mahjong Demo - a feature rich Mahjong game
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0:${PORTSDIR}/audio/linux-sdl_mixer \
-		${LINUXBASE}/usr/lib/libmikmod.so.2:${PORTSDIR}/audio/linux-mikmod \
-		${LINUXBASE}/usr/lib/libogg.so.0:${PORTSDIR}/audio/linux-libogg \
-		${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/lib/libasound.so.2:${PORTSDIR}/audio/linux-alsa-lib
-
 ONLY_FOR_ARCHS=	i386
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 jpeg sdlmixer mikmod libogg libvorbis alsalib xorglibs
 NO_CDROM=	Redistribution is limited, see license
 NO_BUILD=	yes
 
Index: games/linux-nwnclient/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-nwnclient/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- games/linux-nwnclient/Makefile	15 Dec 2006 07:51:46 -0000	1.16
+++ games/linux-nwnclient/Makefile	10 Mar 2009 16:21:52 -0000
@@ -17,8 +17,7 @@
 MAINTAINER=	sean-freebsd@farley.org
 COMMENT=	Neverwinter Nights Linux (x86) Client
 
-RUN_DEPENDS=	${LOCALBASE}/share/nwndata/NWNv129.txt:${PORTSDIR}/games/nwndata \
-		${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
+RUN_DEPENDS=	${LOCALBASE}/share/nwndata/NWNv129.txt:${PORTSDIR}/games/nwndata
 
 .ifdef WITH_NVIDIA_GL
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver \
@@ -29,8 +28,8 @@
 
 NO_BUILD=	yes
 ONLY_FOR_ARCHS=	i386
-USE_XLIB=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	sdl12 xorglibs
 NWNDATADIR=	${LOCALBASE}/share/nwndata
 
 PLIST_SUB+=	NWNVERSION="${PORTVERSION:S/.//}"
Index: games/linux-quake4/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-quake4/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- games/linux-quake4/Makefile	9 Sep 2007 21:36:17 -0000	1.14
+++ games/linux-quake4/Makefile	10 Mar 2009 16:21:52 -0000
@@ -18,9 +18,8 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Quake 4 for Linux
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 USE_LINUX=	yes
+USE_LINUX_APPS=	sdl12
 NO_WRKSUBDIR=	yes
 NO_CDROM=	Redistribution is limited, see license
 NO_PACKAGE=	Package will be 280MB, set FORCE_PACKAGE if you really want it
Index: games/linux-quake4-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-quake4-demo/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- games/linux-quake4-demo/Makefile	5 Nov 2006 20:45:14 -0000	1.6
+++ games/linux-quake4-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -18,9 +18,8 @@
 MAINTAINER=	alepulver@FreeBSD.org
 COMMENT=	Quake 4 for Linux Demo
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 USE_LINUX=	yes
+USE_LINUX_APPS=	sdl12
 NO_WRKSUBDIR=	yes
 NO_CDROM=	Redistribution is limited, see license
 NO_PACKAGE=	Package will be 337MB, set FORCE_PACKAGE if you really want it
Index: games/linux-savage/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-savage/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- games/linux-savage/Makefile	8 Sep 2007 23:53:17 -0000	1.7
+++ games/linux-savage/Makefile	10 Mar 2009 16:21:52 -0000
@@ -21,10 +21,8 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	The Savage game (linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/usr/lib/libtiff.so.3:${PORTSDIR}/graphics/linux-tiff
-
 USE_LINUX=	yes
+USE_LINUX_APPS=	libvorbis tiff
 NO_BUILD=	yes
 RESTRICTED=	Savage is freeware, but i am not sure of its license
 NO_PACKAGE=	Package will be 150MB, set FORCE_PACKAGE if you really want it
Index: games/linux-savage-samuraiwars/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-savage-samuraiwars/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- games/linux-savage-samuraiwars/Makefile	9 Sep 2007 03:40:23 -0000	1.1
+++ games/linux-savage-samuraiwars/Makefile	10 Mar 2009 16:21:52 -0000
@@ -19,11 +19,9 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	An official mod for Savage game (linux version)
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis \
-		${LINUXBASE}/usr/lib/libtiff.so.3:${PORTSDIR}/graphics/linux-tiff
-
 USE_BZIP2=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	libvorbis tiff
 NO_BUILD=	yes
 RESTRICTED=	SamuraiWars is freeware, but i am not sure of its license
 NO_PACKAGE=	Package will be 350MB, set FORCE_PACKAGE if you really want it
Index: games/linux-sof/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-sof/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- games/linux-sof/Makefile	25 Dec 2008 20:29:06 -0000	1.1
+++ games/linux-sof/Makefile	10 Mar 2009 16:21:52 -0000
@@ -19,7 +19,7 @@
 PATCH_DEPENDS=	xdelta:${PORTSDIR}/misc/xdelta
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 USE_LDCONFIG=	yes
 NO_BUILD=	yes
 NO_PACKAGE=	Distribution is 448MB; set FORCE_PACKAGE if you really want\
Index: games/linux-spheresofchaos-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-spheresofchaos-demo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- games/linux-spheresofchaos-demo/Makefile	17 Jun 2005 22:59:11 -0000	1.3
+++ games/linux-spheresofchaos-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -19,10 +19,9 @@
 MAINTAINER=	roam@FreeBSD.org
 COMMENT=	An unusual and spectacular shoot-em-up for the PC
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 USE_ZIP=	yes
 USE_LINUX=	yes
+USE_LINUX_APPS=	sdl12
 
 NO_BUILD=	yes
 
Index: games/linux-ssamtfe/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-ssamtfe/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- games/linux-ssamtfe/Makefile	19 Jul 2008 16:31:25 -0000	1.1
+++ games/linux-ssamtfe/Makefile	10 Mar 2009 16:21:52 -0000
@@ -15,12 +15,10 @@
 MAINTAINER=	ports@logvinov.com
 COMMENT=	Serious Sam: The First Encounter
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 OPTIONS=	VORBIS	"Ogg playing support"	on
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 xorglibs
 NO_BUILD=	yes
 NO_PACKAGE=	Distribution is 279MB; set FORCE_PACKAGE if you really want\
 		to build this package
@@ -31,7 +29,7 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_VORBIS)
-RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
+USE_LINUX_APPS+=libvorbis
 PLIST_SUB+=	VORBIS=""
 .else
 PLIST_SUB+=	VORBIS="@comment "
Index: games/linux-ssamtse/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-ssamtse/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- games/linux-ssamtse/Makefile	26 Jul 2008 18:53:43 -0000	1.12
+++ games/linux-ssamtse/Makefile	10 Mar 2009 16:21:52 -0000
@@ -15,12 +15,10 @@
 MAINTAINER=	ports@logvinov.com
 COMMENT=	Serious Sam: The Second Encounter for Linux
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12
-
 OPTIONS=	VORBIS	"Ogg playing support"	on
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 xorglibs
 NO_BUILD=	yes
 NO_PACKAGE=	Distribution is 352MB; set FORCE_PACKAGE if you really want to build this package
 RESTRICTED=	Redistribution is limited, see license
@@ -30,7 +28,7 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_VORBIS)
-RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libvorbis.so.0:${PORTSDIR}/audio/linux-libvorbis
+USE_LINUX_APPS+=libvorbis
 PLIST_SUB+=	VORBIS=""
 .else
 PLIST_SUB+=	VORBIS="@comment "
Index: games/linux-steam/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-steam/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- games/linux-steam/Makefile	19 Apr 2008 17:49:14 -0000	1.9
+++ games/linux-steam/Makefile	10 Mar 2009 16:21:52 -0000
@@ -19,7 +19,7 @@
 
 IS_INTERACTIVE=	yes
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	xorglibs
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
 INSTALLDIR?=	steam
Index: games/linux-unrealgold/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-unrealgold/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- games/linux-unrealgold/Makefile	10 Oct 2008 21:28:58 -0000	1.2
+++ games/linux-unrealgold/Makefile	10 Mar 2009 16:21:52 -0000
@@ -18,11 +18,10 @@
 COMMENT=	Unreal Gold for Linux
 
 BUILD_DEPENDS=	ut:${PORTSDIR}/games/linux-ut
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		ut:${PORTSDIR}/games/linux-ut
+RUN_DEPENDS=	ut:${PORTSDIR}/games/linux-ut
 
 USE_LINUX=	yes
-USE_XLIB=	yes
+USE_LINUX_APPS=	sdl12 xorglibs
 NO_BUILD=	yes
 NO_PACKAGE=	Distribution is 131MB; set FORCE_PACKAGE if you really want\
 		to build this package
Index: games/linux-uplink-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-uplink-demo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- games/linux-uplink-demo/Makefile	8 Mar 2009 11:19:34 -0000	1.3
+++ games/linux-uplink-demo/Makefile	10 Mar 2009 16:21:52 -0000
@@ -16,15 +16,9 @@
 MAINTAINER=	mva@FreeBSD.org
 COMMENT=	High tech computer crime and industrial espionage on the Internet
 
-RUN_DEPENDS=	${LINUXBASE}/usr/lib/libSDL-1.2.so.0:${PORTSDIR}/devel/linux-sdl12 \
-		${LINUXBASE}/usr/lib/libjpeg.so.62:${PORTSDIR}/graphics/linux-jpeg \
-		${LINUXBASE}/
Comment 1 Boris Samorodov freebsd_committer 2009-03-10 16:54:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

It's a portmgr@ territory.
Comment 2 pav freebsd_committer 2009-03-19 16:47:22 UTC
Responsible Changed
From-To: portmgr->bsam

There you go
Comment 3 dfilter freebsd_committer 2009-03-19 17:29:05 UTC
bsam        2009-03-19 17:28:51 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.linux-rpm.mk bsd.port.mk 
    archivers/linux-upx  Makefile 
    astro/google-earth   Makefile 
    audio/baudline       Makefile 
    audio/linux-esound   Makefile 
    audio/linux-freealut Makefile 
    audio/linux-libvorbis Makefile 
    audio/linux-openal   Makefile 
    audio/linux-sdl_mixer Makefile 
    audio/teamspeak_client Makefile 
    biology/consed       Makefile 
    cad/linux-eagle      Makefile 
    cad/linux-gid        Makefile 
    devel/linux-allegro  Makefile 
    devel/linux-runrev   Makefile 
    devel/linux-sdl12    Makefile 
    devel/radrails       Makefile 
    editors/edith        Makefile 
    editors/komodo-edit  Makefile 
    editors/staroffice5  Makefile 
    editors/staroffice52 Makefile 
    editors/staroffice60 Makefile 
    editors/staroffice70 Makefile 
    emulators/linux-ePSXe Makefile 
    emulators/linux-geepee32 Makefile 
    emulators/linux-padjoy Makefile 
    emulators/linux-peops-softgpu Makefile 
    emulators/linux-peops-spu Makefile 
    emulators/linux-pete-mesagpu Makefile 
    emulators/linux-pete-xgl2gpu Makefile 
    emulators/linux-vmware-toolbox2 Makefile 
    emulators/linux-vmware-toolbox4 Makefile 
    emulators/linux-vmware-toolbox5 Makefile 
    emulators/linux-vmware-toolbox6 Makefile 
    emulators/vmware3    Makefile 
    french/gibi          Makefile 
    french/staroffice52  Makefile 
    games/HeroesOfMightAndMagic Makefile 
    games/adom           Makefile 
    games/dsnake         Makefile 
    games/gish-demo      Makefile 
    games/hohlin         Makefile 
    games/linux-candycruncher-demo Makefile 
    games/linux-coldwar-demo Makefile 
    games/linux-darwinia-demo Makefile 
    games/linux-defcon   Makefile 
    games/linux-doom3    Makefile 
    games/linux-doom3-demo Makefile 
    games/linux-gorky17-demo Makefile 
    games/linux-hdb-demo Makefile 
    games/linux-majesty-demo Makefile 
    games/linux-nerogame Makefile 
    games/linux-ningpo-demo Makefile 
    games/linux-nwnclient Makefile 
    games/linux-quake4   Makefile 
    games/linux-quake4-demo Makefile 
    games/linux-savage   Makefile 
    games/linux-savage-samuraiwars Makefile 
    games/linux-sof      Makefile 
    games/linux-spheresofchaos-demo Makefile 
    games/linux-ssamtfe  Makefile 
    games/linux-ssamtse  Makefile 
    games/linux-steam    Makefile 
    games/linux-unrealgold Makefile 
    games/linux-uplink-demo Makefile 
    games/linux-ut       Makefile 
    games/linux-ut2003-demo Makefile 
    games/linux-ut2004-demo Makefile 
    games/linux-virtual-jay-peak Makefile 
    games/linux-warsow   Makefile 
    games/rtcw           Makefile 
    games/stvef-paks     Makefile 
    games/stvef-server   Makefile 
    games/utserver       Makefile 
    german/citrix_ica    Makefile 
    german/staroffice5   Makefile 
    german/staroffice52  Makefile 
    german/staroffice70  Makefile 
    graphics/linux-XnViewMP Makefile 
    graphics/linux-ac3d  Makefile 
    graphics/linux-adobesvg Makefile 
    graphics/linux-cairo Makefile 
    graphics/linux-libmng Makefile 
    graphics/linux-panorama-tools Makefile 
    graphics/linux-sdl_image Makefile 
    graphics/linux-sdl_ttf Makefile 
    graphics/linux-tiff  Makefile 
    graphics/linux_dri   Makefile 
    graphics/linux_dri-devel Makefile 
    japanese/citrix_ica  Makefile 
    japanese/slimeforest Makefile 
    java/linux-blackdown-jdk14 Makefile 
    java/linux-sun-jdk13 Makefile 
    java/linux-sun-jdk14 Makefile 
    java/linux-sun-jdk15 Makefile 
    java/linux-sun-jdk16 Makefile 
    java/linux-sun-jre15 Makefile 
    java/linux-sun-jre16 Makefile 
    lang/visualworks     Makefile 
    mail/mulberry        Makefile 
    math/linux-relview   Makefile 
    math/wingz           Makefile 
    math/wingz3          Makefile 
    misc/opencyc         Makefile 
    multimedia/linux-realplayer Makefile 
    multimedia/linux-xmovie Makefile 
    multimedia/netshow   Makefile 
    net/citrix_ica       Makefile 
    net/linux-nx-client  Makefile 
    net/skype            Makefile 
    net/skype12          Makefile 
    net-im/aim           Makefile 
    net-p2p/linux-agsatellite Makefile 
    portuguese/staroffice52 Makefile 
    print/acroread8      Makefile 
    print/bjfiltercom    Makefile 
    sysutils/linux-acu   Makefile 
    sysutils/linux-afaapps Makefile 
    sysutils/linux-nero  Makefile 
    textproc/linux-scim-gtk Makefile 
    textproc/linux-scim-libs Makefile 
    www/linux-flashplugin9 Makefile 
    www/linux-mplayer-plugin Makefile 
    www/linux-opera      Makefile 
    www/linux-seamonkey  Makefile.common 
    www/nspluginwrapper  Makefile 
    www/opera-linuxplugins Makefile 
    x11/linux-xorg-libs  Makefile 
    x11-fonts/linux-fontconfig Makefile 
    x11-toolkits/linux-gtk Makefile 
    x11-toolkits/linux-gtk2 Makefile 
    x11-toolkits/linux-openmotif Makefile 
    x11-toolkits/linux-pango Makefile 
    x11-toolkits/linux-qt33 Makefile 
  Added files:
    Mk                   bsd.linux-apps.mk 
  Log:
  Welcome to the new linux ports infrastructure which allows using
  both current (fc4) and future linux (f8) distributions at one
  ports tree.
  
  The patch contains full changes to ports/Mk files and all ports involved.
  But only infrastructure is changed. The resulting packages are the same as
  before. Hence no need to bump PORTREVISIONs.
  
  The idea was taken from bsd.gnome.mk and others.
  
  More than 130 ports are switched to follow a new linux infrastructure
  introduced by changes to bsd.port.mk, bsd.linux-rpm.mk and a new
  bsd.linux-apps.mk.
  
  Thanks for all who was involved and helped me with this work.
  And help from Alexander Leidinger was incredible.
  
  Other changes are coming. Stay tuned!
  
  PR:             ports/132510
  Submitted by:   bsam (me)
  Exp-run by:     portmgr (pav)
  
  Revision  Changes    Path
  1.1       +350 -0    ports/Mk/bsd.linux-apps.mk (new)
  1.14      +14 -2     ports/Mk/bsd.linux-rpm.mk
  1.613     +17 -1     ports/Mk/bsd.port.mk
  1.2       +1 -2      ports/archivers/linux-upx/Makefile
  1.29      +1 -1      ports/astro/google-earth/Makefile
  1.37      +1 -1      ports/audio/baudline/Makefile
  1.17      +1 -2      ports/audio/linux-esound/Makefile
  1.5       +1 -2      ports/audio/linux-freealut/Makefile
  1.8       +1 -2      ports/audio/linux-libvorbis/Makefile
  1.12      +1 -7      ports/audio/linux-openal/Makefile
  1.3       +1 -2      ports/audio/linux-sdl_mixer/Makefile
  1.14      +1 -3      ports/audio/teamspeak_client/Makefile
  1.3       +1 -1      ports/biology/consed/Makefile
  1.21      +1 -1      ports/cad/linux-eagle/Makefile
  1.9       +1 -1      ports/cad/linux-gid/Makefile
  1.10      +1 -1      ports/devel/linux-allegro/Makefile
  1.11      +1 -1      ports/devel/linux-runrev/Makefile
  1.18      +1 -1      ports/devel/linux-sdl12/Makefile
  1.7       +2 -2      ports/devel/radrails/Makefile
  1.14      +1 -1      ports/editors/edith/Makefile
  1.6       +1 -3      ports/editors/komodo-edit/Makefile
  1.25      +1 -1      ports/editors/staroffice5/Makefile
  1.53      +1 -1      ports/editors/staroffice52/Makefile
  1.63      +1 -1      ports/editors/staroffice60/Makefile
  1.68      +1 -1      ports/editors/staroffice70/Makefile
  1.17      +1 -3      ports/emulators/linux-ePSXe/Makefile
  1.11      +1 -3      ports/emulators/linux-geepee32/Makefile
  1.5       +2 -3      ports/emulators/linux-padjoy/Makefile
  1.14      +1 -3      ports/emulators/linux-peops-softgpu/Makefile
  1.13      +1 -3      ports/emulators/linux-peops-spu/Makefile
  1.15      +1 -3      ports/emulators/linux-pete-mesagpu/Makefile
  1.8       +1 -3      ports/emulators/linux-pete-xgl2gpu/Makefile
  1.19      +1 -1      ports/emulators/linux-vmware-toolbox2/Makefile
  1.26      +1 -1      ports/emulators/linux-vmware-toolbox4/Makefile
  1.29      +1 -3      ports/emulators/linux-vmware-toolbox5/Makefile
  1.34      +1 -3      ports/emulators/linux-vmware-toolbox6/Makefile
  1.100     +1 -1      ports/emulators/vmware3/Makefile
  1.25      +1 -1      ports/french/gibi/Makefile
  1.30      +1 -1      ports/french/staroffice52/Makefile
  1.11      +1 -2      ports/games/HeroesOfMightAndMagic/Makefile
  1.19      +1 -1      ports/games/adom/Makefile
  1.10      +1 -3      ports/games/dsnake/Makefile
  1.7       +1 -4      ports/games/gish-demo/Makefile
  1.6       +1 -1      ports/games/hohlin/Makefile
  1.3       +1 -9      ports/games/linux-candycruncher-demo/Makefile
  1.3       +1 -9      ports/games/linux-coldwar-demo/Makefile
  1.4       +1 -5      ports/games/linux-darwinia-demo/Makefile
  1.3       +1 -5      ports/games/linux-defcon/Makefile
  1.7       +1 -1      ports/games/linux-doom3-demo/Makefile
  1.9       +1 -1      ports/games/linux-doom3/Makefile
  1.3       +1 -8      ports/games/linux-gorky17-demo/Makefile
  1.3       +1 -7      ports/games/linux-hdb-demo/Makefile
  1.3       +1 -8      ports/games/linux-majesty-demo/Makefile
  1.2       +1 -4      ports/games/linux-nerogame/Makefile
  1.3       +1 -9      ports/games/linux-ningpo-demo/Makefile
  1.17      +2 -3      ports/games/linux-nwnclient/Makefile
  1.7       +1 -2      ports/games/linux-quake4-demo/Makefile
  1.15      +1 -2      ports/games/linux-quake4/Makefile
  1.2       +1 -3      ports/games/linux-savage-samuraiwars/Makefile
  1.8       +1 -3      ports/games/linux-savage/Makefile
  1.2       +1 -1      ports/games/linux-sof/Makefile
  1.4       +1 -2      ports/games/linux-spheresofchaos-demo/Makefile
  1.2       +2 -4      ports/games/linux-ssamtfe/Makefile
  1.13      +2 -4      ports/games/linux-ssamtse/Makefile
  1.10      +1 -1      ports/games/linux-steam/Makefile
  1.3       +2 -3      ports/games/linux-unrealgold/Makefile
  1.4       +1 -7      ports/games/linux-uplink-demo/Makefile
  1.8       +1 -3      ports/games/linux-ut/Makefile
  1.8       +1 -1      ports/games/linux-ut2003-demo/Makefile
  1.8       +1 -1      ports/games/linux-ut2004-demo/Makefile
  1.8       +1 -1      ports/games/linux-virtual-jay-peak/Makefile
  1.9       +3 -6      ports/games/linux-warsow/Makefile
  1.28      +1 -1      ports/games/rtcw/Makefile
  1.8       +1 -1      ports/games/stvef-paks/Makefile
  1.16      +1 -1      ports/games/stvef-server/Makefile
  1.32      +1 -2      ports/games/utserver/Makefile
  1.20      +1 -2      ports/german/citrix_ica/Makefile
  1.19      +1 -1      ports/german/staroffice5/Makefile
  1.44      +1 -1      ports/german/staroffice52/Makefile
  1.69      +1 -1      ports/german/staroffice70/Makefile
  1.3       +1 -1      ports/graphics/linux-XnViewMP/Makefile
  1.23      +1 -5      ports/graphics/linux-ac3d/Makefile
  1.4       +1 -1      ports/graphics/linux-adobesvg/Makefile
  1.5       +1 -4      ports/graphics/linux-cairo/Makefile
  1.11      +1 -2      ports/graphics/linux-libmng/Makefile
  1.13      +1 -4      ports/graphics/linux-panorama-tools/Makefile
  1.11      +1 -2      ports/graphics/linux-sdl_image/Makefile
  1.3       +1 -2      ports/graphics/linux-sdl_ttf/Makefile
  1.18      +1 -2      ports/graphics/linux-tiff/Makefile
  1.8       +1 -1      ports/graphics/linux_dri-devel/Makefile
  1.25      +1 -1      ports/graphics/linux_dri/Makefile
  1.7       +1 -2      ports/japanese/citrix_ica/Makefile
  1.10      +1 -2      ports/japanese/slimeforest/Makefile
  1.17      +1 -1      ports/java/linux-blackdown-jdk14/Makefile
  1.49      +1 -1      ports/java/linux-sun-jdk13/Makefile
  1.65      +1 -1      ports/java/linux-sun-jdk14/Makefile
  1.32      +1 -1      ports/java/linux-sun-jdk15/Makefile
  1.35      +1 -1      ports/java/linux-sun-jdk16/Makefile
  1.3       +1 -1      ports/java/linux-sun-jre15/Makefile
  1.3       +1 -1      ports/java/linux-sun-jre16/Makefile
  1.17      +1 -1      ports/lang/visualworks/Makefile
  1.26      +1 -1      ports/mail/mulberry/Makefile
  1.9       +1 -3      ports/math/linux-relview/Makefile
  1.24      +1 -1      ports/math/wingz/Makefile
  1.22      +1 -1      ports/math/wingz3/Makefile
  1.11      +1 -1      ports/misc/opencyc/Makefile
  1.56      +1 -2      ports/multimedia/linux-realplayer/Makefile
  1.34      +1 -1      ports/multimedia/linux-xmovie/Makefile
  1.31      +1 -1      ports/multimedia/netshow/Makefile
  1.16      +1 -3      ports/net-im/aim/Makefile
  1.19      +1 -1      ports/net-p2p/linux-agsatellite/Makefile
  1.52      +1 -2      ports/net/citrix_ica/Makefile
  1.13      +1 -4      ports/net/linux-nx-client/Makefile
  1.49      +2 -6      ports/net/skype/Makefile
  1.3       +1 -3      ports/net/skype12/Makefile
  1.12      +1 -1      ports/portuguese/staroffice52/Makefile
  1.8       +2 -5      ports/print/acroread8/Makefile
  1.28      +1 -6      ports/print/bjfiltercom/Makefile
  1.10      +1 -3      ports/sysutils/linux-acu/Makefile
  1.18      +1 -2      ports/sysutils/linux-afaapps/Makefile
  1.4       +1 -2      ports/sysutils/linux-nero/Makefile
  1.2       +1 -3      ports/textproc/linux-scim-gtk/Makefile
  1.4       +1 -2      ports/textproc/linux-scim-libs/Makefile
  1.33      +1 -2      ports/www/linux-flashplugin9/Makefile
  1.13      +2 -5      ports/www/linux-mplayer-plugin/Makefile
  1.99      +1 -3      ports/www/linux-opera/Makefile
  1.14      +2 -7      ports/www/linux-seamonkey/Makefile.common
  1.13      +1 -1      ports/www/nspluginwrapper/Makefile
  1.9       +1 -1      ports/www/opera-linuxplugins/Makefile
  1.21      +1 -2      ports/x11-fonts/linux-fontconfig/Makefile
  1.40      +1 -1      ports/x11-toolkits/linux-gtk/Makefile
  1.26      +3 -9      ports/x11-toolkits/linux-gtk2/Makefile
  1.15      +1 -1      ports/x11-toolkits/linux-openmotif/Makefile
  1.18      +2 -6      ports/x11-toolkits/linux-pango/Makefile
  1.3       +1 -4      ports/x11-toolkits/linux-qt33/Makefile
  1.8       +1 -2      ports/x11/linux-xorg-libs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Boris Samorodov freebsd_committer 2009-03-19 17:46:48 UTC
State Changed
From-To: open->closed

Committed, Thanks!